<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
		<!-- Info -->
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <link rel="profile" href="http://gmpg.org/xfn/11" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1" />

		<!-- wp_head()-->
		<?php wp_head(); ?>
	</head>
        
    <body <?php body_class('cuerpo'); ?> >
    
    
    <div id="main">

<?php
// Color Boxes
blackcolors_colorboxes();
?>

<!-- Fixed Side Bar -->
<?php $colorbarra = get_theme_mod( 'blackcolors_barra_color', '#2c3e50' );?>
<div id="barra-lateral" style="background-color:<?php echo esc_attr($colorbarra); ?>;">
	<?php $header_color = get_header_textcolor(); ?>

	<!-- Header Image & Titles -->
	<?php if(get_header_image() != ''): ?> <!-- Check if there is a header image -->
        <?php if ( display_header_text() ) : ?> <!-- Check if there is text over the header -->
	    <div id="logo">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php header_image(); ?>" alt="<?php get_bloginfo('name'); ?>"></a>
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><div id="titulo-sobre-imagen" style="color:#<?php echo esc_attr($header_color); ?>"><h2><?php echo get_bloginfo('name'); ?></h2></div></a>
                <div id="subtitulo-sobre-imagen" style="color:#<?php echo esc_attr($header_color); ?>"><?php echo get_bloginfo('description'); ?></div>
            </div>
        <?php else: ?> <!-- if there are header image but no text over it -->
	    <div id="logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php header_image(); ?>" alt="<?php get_bloginfo('name'); ?>"></a>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><div id="titulo-hidden" style="color:#<?php echo esc_attr($header_color); ?>"><h2><?php echo get_bloginfo('name'); ?></h2></div></a>
	    </div>
        <?php endif; ?>
    <?php else: ?> <!-- if there are no header image... -->
		<div id="logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><div id="titulo" style="color:#<?php echo esc_attr($header_color); ?>"><h2><?php echo get_bloginfo('name'); ?></h2></div></a>
			<div id="subtitulo" style="color:#<?php echo esc_attr($header_color); ?>"><?php echo get_bloginfo('description'); ?></div>
		</div>
    <?php endif; ?>
	
	<!-- Head Menu -->
	<div id="open-menu"><a href="#"><i class="fa fa-bars"></i></a></div><!--Responsive Menu Link-->
    <div class="access sidebar-lateral">
	<?php
	if(has_nav_menu('primary')){
	    wp_nav_menu(array( 'theme_location' => 'primary', 'container' => 'nav', 'container_class' => false, 'container_id' => 'menu-principal', 'fallback_cb' => false)); 
	}else{
	    echo "<nav><div id='menu-principal'>";
	    wp_nav_menu();
	    echo "</div></nav>";
	}
	?>
    </div>

	<!-- Social Icons -->
	<div id="social-icons">
	<?php
		$blackcolors_social_services = array('fa-twitter' => 'Twitter',
                                        'fa-facebook' => 'Facebook',
                                        'fa-google-plus' => 'Google+',
                                        'fa-behance' => 'Behance',
                                        'fa-codepen' => 'Codepen',
                                        'fa-github' => 'GitHub',
                                        'fa-linkedin' => 'LinkeIn',
                                        'fa-skype' => 'Skype',
                                        'fa-youtube' => 'YouTube',
                                        'fa-slack' => 'Slack',
                                        'fa-tumblr' => 'Tumblr',
                                        'fa-yelp' => 'Yelp',
                                        'fa-instagram' => 'Instagram',
                                        'fa-pinterest' => 'Pinterest',
                                        'fa-flickr' => 'Flickr',
                                        'fa-stack-exchange' => 'Stack Exchange');


		foreach($blackcolors_social_services as $id => $valor){
			$icon = esc_url(get_theme_mod("blackcolors_$id"));
			if(isset($icon) and !empty($icon)){
				echo "<a href='$icon' class='social-icon-round'><i class='fa $id'></i></a>";
			}
		}
	?>
	</div>

	<!-- Widget Area -->
    <div class="sidebar-lateral">
	<?php get_search_form(); ?>
	<ul class="xoxo">
	
	</ul>
    </div>

</div>